iPhone 5 Users Need To Update Their iOS ASAP

(Righteous Laura Idoko) #1

Originally published at: https://www.mobilitaria.com/iphone-5-users-need-to-update-their-ios-asap/

Apple is warning iPhone 5 users to update their operating system to version 10.3.4 before the 3rd of November. There have been direct alerts to users from Apple about this information. The reason for this is, if users do not update they may no longer be able to browse the web, explore the App Store, send email, access iCloud, or use other features that rely on the correct time and date.

The problem seems to have started from a GPS time rollover issue that began to affect many GPS-enabled tech products and devices in April 2019.

Just in case you forget to update before the 3rd of November, you could still do something about it. You could back-up or restore your phone using a Mac or PC in order to get the update done, as over-the-air software updates and iCloud back-ups will no longer work.

People using the iPhone 4s and older versions of the iPad up to the fourth generation also need to perform this update, because unlike the iPhone 5, failure to do that will knock out GPS functionality.

To be sure your Apple has it’s software updated, tap on Settings, and then on Software Update. You’ll then see a message saying either that “your software is up to date,” or that a download is available. If the latter is the case, ensure you click on download so yours can be updated and any issue will be avoided.